import { Actions, NodePlopAPI, PlopGeneratorConfig } from 'node-plop';
/**
 * Chatting with the plop maintainers over on https://github.com/plopjs/plop/issues/214 about best practices when it
 * comes to programmatically running a sequence of steps, chaining answers, args etc. Basically it's not supported.
 *
 * My goal with generatorChain is to run generators in order, ie. running Generator 1's prompts and actions, followed by
 * Generator 2's prompts and actions, passing the data from the previous run onto the next. Enabling this allows us to
 * create more modular Generators, with specific remits, create vs configure workspace as an example. A user may create
 * and configure a brand new workspace in one flow, however if they have an existing workspace, they may want to simply
 * re-configure it. So we should be able to launch the configure generator only with the pre-data points it needs, or
 * jump to any point in a chain and run them all sequentially from there.
 *
 * This generatorChain needs to return what appears to be a normal generator interface to plop so it thinks it's running
 * a single generator.
 */
export declare const generatorChain: (plop: NodePlopAPI, description: string, generators: PlopGeneratorConfig[], bypass?: string[], actions?: Actions) => PlopGeneratorConfig;
export declare const defaultGeneratorMapper: (generator: PlopGeneratorConfig) => PlopGeneratorConfig;
//# sourceMappingURL=generatorChain.d.ts.map